KDE 4.2 PyKDE API Reference

- KDE's Python API

# KOCRDialog Class Reference

`from PyKDE4.kio import *`

Inherits: KPageDialog → KDialog → QDialog → QWidget → QObject

## Detailed Description

## Signals

| textRecognized (QString text, int id)

## Methods

| __init__ (self, int dialogFace=Tabbed, int buttonMask=Close|Help, QWidget parent=0, bool modal=0)
int | id (self)
int | nextId (self)
| textRecognized (self, QString text, int id)

## Static Methods

KOCRDialog | getOCRDialog (QWidget parent=0)

## Method Documentation

__init__ | ( | self, |
|  | int | dialogFace=Tabbed,
|  | int | buttonMask=Close|Help,
|  | QWidget | parent=0,
|  | bool | modal=0
| ) |  |  |

Constructs the OCR dialog. If you implement an own dialog, you can customize it with the usual KPageDialog flags.

Parameters:

  | dialogFace | the KPageDialog.FaceType
  | buttonMask | a ORed mask of all buttons (see KDialog.ButtonCode)
  | parent | the QWidget's parent, or 0
  | modal | if true the dialog is model

KOCRDialog getOCRDialog | ( | QWidget | parent=0
| ) |  |  |

Creates the user's preferred OCR dialog and returns it, or 0 if no OCR-support is available. Pass a suitable parent widget, if you like. If you don't you have to 'delete' the returned pointer yourself.

Parameters:

  | parent | the QWidget's parent, or 0

Returns:
  the KOCRDialog, or 0 if the function failed

int id | ( |  | self ) |

Returns the current id for an image. You can use that in your subclass for the signals. The id is used in the signals to let people know which text-recognition belongs to which scan.

Returns:
  the current id for the image

See also:
  nextId

See also:
  textRecognized

int nextId | ( |  | self ) |

Returns the id for the next image. You can use that in your subclass for the signals.

Returns:
  the id for the next image

See also:
  id

See also:
  textRecognized

textRecognized | ( | self, |
|  | QString | text,
|  | int | id
| ) |  |  |

Informs you that the image with the id id has been run through text-recognition. The text is in the QString parameter. In the future, a compound document, using rich text will be used instead.

Parameters:

  | text | the text that has been recognized
  | id | the id of the image

Signal syntax:
  `QObject.connect(source, SIGNAL("textRecognized(const QString&, int)"), target_slot)`